LINUX.ORG.RU

Вебжурнал «Точка Росы» №9

 , , ,


2

1

Вышел очередной дайджест/веб-/PDF-журнал «Точки РОСЫ №9», в котором команда «РОСЫ» (ООО НТЦ ИТ «РОСА») рассказывает о проведенных доработках разрабатываемых открытых линукс-дистрибутов, общедоступных утилитах и сервисах для майнтейнеров, и о IT-шных событиях, в которых довелось поучаствовать (обычно видеосьемкой).

Формат вебжурнала в «подборка статей с обложкой» (рекомендуемый вариант, ибо есть видео, интерактив, много ссылок и т.п.), так и PDF.

Содержание:

Фичи и багфиксы для эффективной работы с клавиатурой, мышами и тачпадами…

Доработки для «домашних пользователей»:

Для Advanced users:

Для мейнтейнеров — новые возможности ABF и полезные утилиты:

Обзоры и видеозаписи IT-конференций:

BTW, это не перепечатка, несу ответственность за весь материал, буду рад конструктивному фидбеку.

>>> Подробности

Ответ на: комментарий от anonymous

Вы рассказываете какие-то ужасы.

Все наши разработчики пользуются дистрибутивом, и даже у меня стоит и постоянно работает git (реально постоянно - я использую SparkleShare), qtcreator открыт и прямо сейчас… LAMP-стек рабочий, прямо сейчас правлю и отлаживаю вики-системы…

Разумеется, это не только «it works on my machine», увидев ваше сообщение, я напряг QA-тим и они повторили тесты… — все с этим ОК.

Вы что-то сделали совсем не так, но я пока не могу понять что.

Спрошу про это (начнем с консерватории, может там надо что-то подправить):

Половина пунктов в инсталляторе невозможно выбрать, о чем радостно сообщает окно при попытке установить галку. Накойхрен они тогда там, если они невыбираемы?

Каких пунктов?

belonesox ()
Ответ на: комментарий от belonesox

Каких пунктов?

см выше. Практически у каждого пакета есть «близнец», которого нельзя выбрать.

anonymous ()
Ответ на: комментарий от belonesox

на самом деле у нас были и другие аргументы за переход на pam_unix…

Когда-то люди, наоборот, с pam_unix на pam_tcb переходили...

AS ★★★★★ ()
Ответ на: комментарий от belonesox

Ксати есть ли возможность включить какие-нить логи этого инсталлятора? Мне кажется он обламывается на установке какой-то зависимости.

anonymous ()
Ответ на: комментарий от anonymous

Шифрование, етить вас налево, единственное, что останавливает меня и еще несколько человек от использования дистрибутива, ну или обновите iso R2, что ли.

Я вас услышал, обсудим сегодня на совещании. Может и выпустим, без особой помпы и пресс-релизов, следите за «Точкой РОСЫ».

belonesox ()
Ответ на: комментарий от anonymous

Начнем с самого начала — инсталляция была у вас из Live-режима или нормальная?

belonesox ()
Ответ на: комментарий от belonesox

Загрузил диск, выбрал «Установить» (обычный режим, не упрощенный)....«профит?»

anonymous ()
Ответ на: комментарий от anonymous

Кстати, я при инсталляции не нашел Ext2 это так и задумано? И что такое «Linux Native» в ФС?

Эээ… пропажа разьясняется просто, «Linux Native» это и есть Ext2…

belonesox ()
Ответ на: комментарий от anonymous

ага. И 64 либы нашлись.

Вот еще непонятно что

There was a problem during the installation:

file /usr/bin/icu-config from install of lib64icu-devel-49.1.1-2.x86_64 conflicts with file from package libicu-devel-49.1.1-2.i586
anonymous ()
Ответ на: комментарий от anonymous

Мне несколько сложно держать нить дискуссии при анонимности собеседников, но если это вы наблюдаете эти страшные проблемы, то вы пожаловались что в ИНСТАЛЛЯТОРЕ не могли выбрать какие-то галочки. Я пытался выяснить — какие. Вы привели картинку → https://dl.dropboxusercontent.com/u/22107199/select-failed.png

Но в обычном инсталляторе нет выбора пакетов, там все тупо и односторонне (выбрать раздел—язык—раскладку—… поехали).

Мне кажется, вы что-то путаете, возможно все. Если удастся понять и зацепится, за проблему «с чего все началось» — заведем отдельный баг и освободим этот тред от оффтопика.

В любом случае, это какой-то очень редкий случай, которого надо как-то сильно добиваться (и хотелось бы понять как, чтобы добавить еще «защиты от дурака»).

belonesox ()
Ответ на: комментарий от belonesox

да галочки в Software Manager, а не в инсталляторе, есессно. называется он «Install & Remove Software»

anonymous ()

Так, фиксирую (для себя) — вроде бы ответил на все конструктивные вопросы на предыдущих трех страницах, если у кого-то был там вопрос, а я его не нашел среди высокой философской дискуссии — просьба повторить.

С грустью констатирую, что по темам самих статей вопросов почти нет.

Пока беру таймаут, еще вернусь.

belonesox ()
Ответ на: комментарий от anonymous

ага

perl-SVN - Perl bindings for Subversion​

Вот на этом спотыкается установка git. Ну и не ставится из-за нее, есессно.

Ну и вопрос «накой при установке git SVN?» остается открытым.

anonymous ()
Ответ на: комментарий от belonesox

Но выносить сюда бизнес-кейсы, которые по-уму, рассказывают за большие деньги на закрытых менеджерских тренингах… увольте.

Сюда или не сюда, но без озвучивания этих бизнес-кейсов подорванное доверие восстановить будет достаточно сложно.

anonymous ()
Ответ на: комментарий от belonesox

Эээ… пропажа разьясняется просто, «Linux Native» это и есть Ext2…

а в чем смысл использования ext2 ?
скорость ?
ненадежно же

kto_tama ★★★★★ ()
Ответ на: комментарий от belonesox

это проблема конкретно этого ресурса (в частности — анонимного комментирования

А зачем ты к нам тогда пришел, праативный?

anonymous ()
Ответ на: комментарий от anonymous

Девчонки, возьмите себя в руки.

(К модераторам просьба особо последить за темой, буду лично благодарна)

RosaLab ()
Последнее исправление: RosaLab (всего исправлений: 1)
Ответ на: комментарий от anonymous

галочки в Software Manager, а не в инсталляторе

Теперь понятно. Вы столкнулись с юзабилити багом текущего Software Manager-а, унаследованного еще с Mandriva rpmdrake.

У нас для 64-разрядных систем подключены и 32-битные и 64-битные репозитории — например для того, чтобы ставить всякие популярные skype/steam и т.п. И при этом, rpmdrake показывает «двойников» — 32-битные и 64-битные пакеты. Соответственно, если начать тянуть что-то 32 битное, вместо правильного 64битного, то можно запутаться.

Мы знаем об этой проблеме, и поэтому в разработке Software Center, про который тоже была пара слов с картинкой, в этом выпуске Точки Росы.

Пока не отключайте 64-битные репозитории, ставьте по возможности все 64 битное, ну или (если вам не нужен steam/skype/…) можно отключить в настройках rpmdrake 32-битные репозитории, тогда «двойники» уйдут.

belonesox ()
Ответ на: комментарий от belonesox

Даже студенты, никогда не видевшие Linux, могут оказаться знакомы с Python, Qt, PHP (и другими ориентированными на Web средствами), на худой конец — с Java.

Спасибо, поржали всей группой про «худой конец с Java». У вас там все в компании такие тупые?

anonymous ()
Ответ на: комментарий от anonymous

Ксати есть ли возможность включить какие-нить логи этого инсталлятора? Мне кажется он обламывается на установке какой-то зависимости.

Попробуйте использовать консольный пакетный менеджер «urpmi».

Все просто → «urpmi имя_пакета_или_хотябы_префикс»

Он все покажет, и пожалуется на конфликты и другие проблемы с зависимостями.

belonesox ()
Ответ на: комментарий от anonymous

Сюда или не сюда, но без озвучивания этих бизнес-кейсов подорванное доверие восстановить будет достаточно сложно.

Звучит так, как будто вот, была всеобщая любовь, а потом что-то случилось и все подорвалось.

По моим наблюдениям, за последние пару лет отношение здесь было примерно одинаковым, и зависело только от … скажем свойств личности (может IQ, может возраста…), неважно. Плюс, речь-то идет в основном о проектах, о которых особо (а может и вообще) публично ничего не было известно.

Но, вы наверно правы, про некоторые «закрытия» наверно надо написать. Напишу об этом в «Точку РОСЫ».

belonesox ()
Ответ на: комментарий от anonymous

Спасибо, поржали всей группой про «худой конец с Java». У вас там все в компании такие тупые?

Трудно не улыбнуться над группой студиозусов, ржущих над кандидатом физмат наук, доцентом ВШЭ, и успешным руководителем и системным архитектором… («Бивис, приколись, он сказал конец, гы»)

Студенты не осилившие мысль, что прикладные Java-компетенции действительно мало помогают в дистрибутивостроительстве, где знание скриптовых P-языков, и сишных библиотек, гораздо полезней для этих задач (не для высокооплачиваемого корпоративного говнокодинга). Впрочем, нет, какая тут нафиг улыбка, тут плакать надо. Оплакивать образование, потерянную страну и поколение… Стоп. Оффтопик. Больше оффтопика от меня не будет, в треде я снова вижу философов, оставлю эту тему им.

belonesox ()
Ответ на: комментарий от belonesox

ладно гнать. зарплату то вам хоть выплатили ?

anonymous ()
Ответ на: комментарий от anonymous

Ну так инсталлятор сказал, что есть зависимости и всех их «вытянул» якобы.

Попробовал снести и поставить — всё отработало нормально.

Кстати у него в зависимостях накой-то хрен cvs и svn

svn тянет git-svn, который идёт в комплекте. cvs тянет git-cvs, который в рекомендуемых, ставь без них и никакого cvs не будет.

я? я вообще ничего не трогал. Это чистая инсталляция

Покажи менеджер источников

https://dl.dropboxusercontent.com/u/22107199/select-failed.png

А, такое есть из за долгой жизни и политики дистра обновлять и ключевые пакеты. За время, пройденное с первого релиза, обновился gcc, поэтому релизный gcc-gfortran не может поставиться, ему надо старый gcc, а стоит новый. Проблема яйца выеденного не стоит — ставь новый gfortran, старый исчезнет из списка и маячить не будет.

redgremlin ★★★★★ ()
Ответ на: комментарий от anonymous

ладно гнать. зарплату то вам хоть выплатили ?

Да, зарплата платится вовремя.

belonesox ()
Ответ на: комментарий от theanonymous

belonesox а у вас есть что-то подобное packages.debian.org, apps.ubuntu.com?

А вот полного аналога нету (т.е. часть информации есть на ABF, часть на upstream-tracker). И для просто «поиска по пакетам» используйте http://pkgs.org

Для обычных пользователей, с выходом нового Software Center, все это не понадобится — там будет отличный поиск приложений.

belonesox ()
Ответ на: комментарий от belonesox

доцентом ВШЭ

А что звание доцента ВШЭ - это такая пожизненная прививка от глупости? Вместо того чтобы пердеть в лужи про сишные библиетеки, можно было поинтересоваться почему тот же Oracle все инсталляторы пишет на яве.

anonymous ()
Ответ на: комментарий от kto_tama

а в чем смысл использования ext2 ? скорость ? ненадежно же

Бывают, скажем так, legacy-устройства, которым нужно давать доступ к диску, а они кроме ext2 ничего не умеют. Может кто-то еще подбросит аргументов.

belonesox ()
Ответ на: комментарий от belonesox

/boot в ext2

Кстати urpmi заметно лучше работает, нежели центр. git он таки поставил. А центр творит странное, если его открыть, а потом закрыть, то urpmi говорит urpmi database is locked (another program is already using it), и пока не перелогинишься не отпускает. А может это автоапдейтер какой....

anonymous ()
Ответ на: комментарий от belonesox

Анонимусы, между прочим, самая многочисленная группа пользователей ресурса.

Деды погибали не за то, чтобы такие как ты здесь свои фашистские порядки проталкивали.

anonymous ()
Ответ на: комментарий от anonymous

/boot в ext2

Точно.

Кстати urpmi заметно лучше работает, нежели центр.

Да, мы так и планируем, для продвинутых пользователей оставить инсталляцию пакетов через urpmi, для обычных, в Software Center, скрыть все технические пакеты и пугающую его техническую информацию.

А центр творит странное, если его открыть, а потом закрыть, то urpmi говорит urpmi database is locked (another program is already using it), и пока не перелогинишься не отпускает. А может это автоапдейтер какой....

Да, это автоапдейтер запустился. Вообще, хорошая идея после инсталляции обновиться.

«urpmi --auto --auto-update»

belonesox ()
Ответ на: комментарий от belonesox

А говорят, что рабский труд малоэффективен. Врут, наверное?

anonymous ()
Ответ на: комментарий от belonesox

urpmi --auto --auto-update

ну! так это ж уже другое дело. И либы поставил, и zsh, и FF новый приплыл. Еще с cmake разобраться и можно будет даже пользоваться.

anonymous ()

тред не читал - много грязи. если этот вопрос уже был - прошу прощения.
вопрос: зачем это нужно?

anonymous ()
Ответ на: комментарий от anonymous

Спасибо, поржали всей группой про «худой конец с Java». У вас там все в компании такие тупые?

Неистово лорчую. Гугль поставил именно на java, в своем ондроиде, и резко, быстро нагнул этим все альтернативные оси. Просто взяли очевидную божественную java-машину, навесили на очевидное божественное linux-ядро, и получили самую экспансивную ось, в одно мгновенье, в масштабах истории, завоевавшую весь мобайл-рынок. Практически весь. Еще не все, но не ссы, квакуха, болото будет наше.

Ключевым, стратегическим преимуществом java в данном случае оказался низкий порог вхождения, и относительная простота языка, на фоне его мощности, серьезности решаемых задач: вплоть до промышленных, корпоративных, военных. (напомню, java изначально делался как язык управления автономными устройствами). И что мы видим? Почему сейчас андроид имеет те позиции которые имеет? Низкий поклон java: под андроид наклепано столько приложений, что божеж мой. До недавнего времени того же характера преимущество винда имела на десктопе: парк софта под нее. Она стремительно теряет это преимущество, но это другая история. Просто восхищаюсь прозорливостью посонов из гугла, которые четко выкупили действительно перспективные ништяки.

Так что если кто еще говорит о java с высока, смело пни его.

Csandriel ()
Ответ на: комментарий от Csandriel

Просто восхищаюсь прозорливостью посонов из гугла, которые четко выкупили действительно перспективные ништяки.

Вот это я называю «отражение Бога». Умные люди, профессионалы, любящие свое дело. Богоподобные. Восхищаюсь такими, за существование таких люблю Бога. За подобие ему люблю их.

Csandriel ()
Ответ на: комментарий от Csandriel

Вам опять врач разрешил в интернет?

anonymous ()
Ответ на: комментарий от anonymous

Не, братишь. Врачи пока до меня не добрались. Но ты прав, мне разрешили. А ты бы развеял мою скуку, да что-нибудь по существу сказал, хочется душевного спора, на любую тему. А? Только у меня скоре 15, до бана я не хочу дожимать, почему-то. И так признателен местным модерам за терпение ко мне. Давай по теме что-нибудь.

Csandriel ()
Ответ на: комментарий от belonesox

| Да, зарплата платится вовремя.

надолго ли ?

anonymous ()
Ответ на: комментарий от belonesox

Бывают, скажем так, legacy-устройства, которым нужно давать доступ к диску

В смысле ? Вынимать из рабочей станции и ставить в это legacy-устройство ? Или я упустил нить, и речь не про установку ОС на обычный компьютер ?

AS ★★★★★ ()
Ответ на: комментарий от anonymous

Растащило меня как ту медузу по горячим камням. Пойду куда-нибудь в другое место, делиться тем, что имею, в данный момент. А тебе вот на

Csandriel ()
Ответ на: комментарий от Woofywoof

Второй год хочу пройти ваш курс на intuit.ru, не получается даже по диагонали. Видимо человек, который знает базу финского вам не нужен.

Знаете, курс этот делали не мы, это была инициатива самого интуита и делал их сотрудник. И права все у них, и рулят им они. Делал этот курс мужчина, который специализируется на написании не приходя в сознание «самоучителей» по любым программам (ну там, нажмите сюда, в меню тут такая-то опция).

Я немного вычитывал текст курса, ошибки-опечатки-крупные косяки — вроде это исправили. Терпимый такой текст для совсем домашних, ну или там для операторов.

Лично я хотел делать отдельную образовательную программу, на технологиях MediaWiki (+ВикиЭкзамены) + серия дистанционных вебинаров… но пока не до этого.

А у вас какие с этим курсом проблемы? Там сделали фиговые непроходимые тесты?

Видимо человек, который знает базу финского вам не нужен.

Почему нет? И причем тут этот курс... Свяжитесь со мной, в личку там, или на email, обсудим.

belonesox ()
Ответ на: комментарий от belonesox

Еще уточню. Скажите, а у вас есть кто в команде, кто пользуется cmake и компилячит проекты, которые требуют boost? на x86_64. Сдается не тут такая же проблема, как и на Suse. То есть cmake буст пытается искать не там, куда его кладут.

anonymous ()
Ответ на: комментарий от belonesox

Шифрование, етить вас налево, единственное, что останавливает меня и еще несколько человек от использования дистрибутива, ну или обновите iso R2, что ли.

Я вас услышал, обсудим сегодня на совещании. Может и выпустим, без особой помпы и пресс-релизов, следите за «Точкой РОСЫ».

Обсудили. Убедил. Будем выпускать на следующей неделе (заодно будут новые фичи…). Пиарить не будем. Следите за «Точкой Росы», можете подписаться на ленту.

belonesox ()
Ответ на: комментарий от anonymous

Говорят, что есть похожая проблема с cmake, но с привязкой к Qt5, а не к boost.

RosaLab ()
Последнее исправление: RosaLab (всего исправлений: 1)
Ответ на: комментарий от AS

В смысле ? Вынимать из рабочей станции и ставить в это legacy-устройство?

Да. Вытаскивать и вставлять — а оно бекапит. Или втыкают в комп специальные платы (например, доверенной загрузки). Современные модели правда уже ext3 понимают, но вот так.

Для домашних пользователей может и нет особой необходимости, но я не вижу смысла выпиливать, кроме экономии строчки в инсталляторе (в ядро то поддержка ext2 все равно вшито наглухо).

belonesox ()
Ответ на: комментарий от belonesox

Установил сейчас Rosa Desktop Fresh KDE R3, обновился, на манипуляции с кабелем питания ноутбук не реагирует, в Fedora все работает, например.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.